# DocBook to HTML - Command Synopses

This module contains templates to process DocBook command synopsis elements.

## Parameters

`db2html.arg.choice`

  The default value of the `choice` parameter for `arg` elements

`db2html.arg.rep`

  The default value of the `rep` parameter for `arg` elements

`db2html.group.choice`

  The default value of the `choice` parameter for `group` elements

`db2html.group.rep`

  The default value of the `rep` parameter for `group` elements

## Modes

`db2html.cmdsynopsis.sbr.padding.mode`

  Outputs padding for elements leading up to an `sbr` element

## `db2html.arg.choice`

The default value of the `choice` parameter for `arg` elements

### Description

## `db2html.arg.rep`

The default value of the `rep` parameter for `arg` elements

### Description

## `db2html.group.choice`

The default value of the `choice` parameter for `group` elements

### Description

## `db2html.group.rep`

The default value of the `rep` parameter for `group` elements

### Description

## `db2html.cmdsynopsis.sbr.padding.mode`

Outputs padding for elements leading up to an `sbr` element

### Parameters

`sbr`

  The `sbr` element to pad up to

`sepchar`

  The value of the `sepchar` attribute on the enclosing `cmdsynopsis`

### Description

When processed in this mode, elements output whitespace to the length of the textual output they would normally produce. This allows options to be aligned when explicit line breaks are inserted with `sbr` elements.

To create the padding for a given `sbr` element, this mode is called on the enclosing `cmdsynopsis` element, passing the `sbr` element. When processed in this mode, elements should only output padding for content the leads up to the `sbr` element passed in the `sbr` parameter. When processing children that don't contain the given `sbr` element, the `sbr` parameter should be set to `false()` for those children. This avoids additional ancestor selectors, which are generally expensive to perform.